%What is the maximum, the minimum, and average number of tracks on CDs published since the

%year 2000? Order the results in chronological order by year.

%(year, maxNumber, minNumber, avgNumber)



%find CDs which published since the year 2000

cds2000:=select  C.year, C.cdCode from cd C where C.year>=2000;

%add track number

cds2000_tmp1:=select distinct C.year, T.cdCode , T.trackNumber from cds2000 C, composedOf T where C.cdCode = T.cdCode;

%find total track in each CD

totalTracks(cdCode, tracks):=select  cdCode, count(*) from cds2000_tmp1 group by cdCode;

%add year to totalTracks

totalTracks_tmp1:= select distinct T.cdCode, T.tracks, C.year from cd C, totalTracks T where C.cdCode = T.cdCode;

%Cal year, maxNumber, minNumber, avgNumber

final_question3(year, maxNumber, minNumber, avgNumber):=select year, max(tracks), min(tracks),avg(tracks) from totalTracks_tmp1 group by year order by year;