% For each group in the database, find the number of CDs rated in the top 10.
% Order the results in descending order of the number of top 10 CDs.
% (groupCode, groupName, numberOfTop10CDs)

%Find all top10 CDs
top10CDs:=select T.cdCode from topCDs T where T.rating <=10;
%Add groupCode to top10CDs
top10CDs_tmp1:=select distinct T.cdCode, C.groupCode from top10CDs T, cd C where T.cdCode = C.cdCode;
%count numberOfTop10CDs
top10CDs_tmp2(groupCode,numberOfTop10CDs):=select  groupCode, count(*) from top10CDs_tmp1 group by groupCode;
%Add groupName
final_question2:= select distinct T.groupCode,M.groupName, T.numberOfTop10CDs from top10CDs_tmp2 T, musicalGroup M where T.groupCode = M.groupCode  order by numberOfTop10CDs DESC;