%Find the list of musical groups such that every client in Detroit rented at least one of their CDs.

%(The same division query as appeared in HW1).

%(groupCode, groupName)

%Find all clients in Detroit

clients_detroit := select C.clientID from client C where C.address = 'Detroit';

%Find relationship between groupCode, clientID.

info:= select distinct C.groupCode, R.clientID from cd C, rentedBy R where C.cdCode = R.cdCode;

%cal info/clients_detroit     the groupCode such that every client in Detroit rented at least one of their CDs.

gCode:=select distinct T.groupCode

from info T

where not exists

       (select *

        from clients_detroit B

        where not exists

                     (select *

                        from info AB

                        where AB.groupCode = T.groupCode and AB.clientID=B.clientID));

% Find the list musical groups such that every client in Detroit rented at least one of their CDs.  (groupCode, groupName)

final_question4:= select distinct G.groupCode, M.groupName from gCode G, musicalGroup M where G.groupCode = M.groupCode;